## kamailio 5.8.5

=== src/modules/db_redis/Makefile ===
#
# WARNING: do not run this directly, it should be run by the main Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_redis.so

ifeq ($(CROSS_COMPILE),)
HIREDIS_BUILDER = $(shell \
	if pkg-config --exists hiredis; then \
		echo 'pkg-config hiredis'; \
	fi)

HIREDIS_CLUSTER_BUILDER = $(shell \
	if pkg-config --exists hiredis_cluster; then \
		echo 'pkg-config hiredis_cluster'; \
	fi)

endif

ifeq ($(HIREDIS_BUILDER),)
	HIREDISDEFS=-I$(LOCALBASE)/include -I$(LOCALBASE)/include/hiredis -I/usr/include/hiredis
	HIREDISLIBS=-L$(LOCALBASE)/lib -lhiredis
	ifneq ($(shell ls $(LOCALBASE) | grep libhiredis_ssl.so),)
		HIREDISDEFS += -DWITH_SSL
		HIREDISLIBS += -lhiredis_ssl
	endif
else
	HIREDISDEFS = $(shell $(HIREDIS_BUILDER) --cflags)
	HIREDISLIBS = $(shell $(HIREDIS_BUILDER) --libs)
	HIREDISLIBSPATH = $(shell $(HIREDIS_BUILDER) --libs-only-L | cut -c 3-)
    ifeq ($(HIREDISLIBSPATH),)
        GCCSEARCHDIRS = $(shell $(CC) -print-search-dirs | grep -Eo '^.*libraries: =.*' | cut -d "=" -f2- | tr : ' ')
        ifneq ($(shell find $(GCCSEARCHDIRS) -name libhiredis_ssl.so 2>/dev/null),)
		    HIREDISDEFS += -DWITH_SSL
		    HIREDISLIBS += -lhiredis_ssl
        endif
    else
        ifneq ($(shell ls $(HIREDISLIBSPATH) | grep libhiredis_ssl.so),)
		HIREDISDEFS += -DWITH_SSL
		HIREDISLIBS += -lhiredis_ssl
        endif
    endif

ifeq (,$(findstring hiredis,$(HIREDISDEFS)))
	DEFS+=-DWITH_HIREDIS_PATH
endif

ifeq ($(HIREDISLIBS),-L -lhiredis)
		HIREDISDEFS = $(shell $(HIREDIS_BUILDER) --cflags) /opt/local/include
		HIREDISLIBS = -L/opt/local/lib -lhiredis
		ifneq ($(shell ls /opt/local/lib | grep libhiredis_ssl.so),)
			HIREDISDEFS += -DWITH_SSL
			HIREDISLIBS += -lhiredis_ssl
		endif
endif

endif

DEFS+=$(HIREDISDEFS)
LIBS=$(HIREDISLIBS)

ifneq ($(HIREDIS_CLUSTER_BUILDER),)
	HIREDISCLUSTERDEFS = $(shell $(HIREDIS_CLUSTER_BUILDER) --cflags)
	HIREDISCLUSTERLIBS = $(shell $(HIREDIS_CLUSTER_BUILDER) --libs)
	HIREDISCLUSTERLIBSPATH = $(shell $(HIREDIS_CLUSTER_BUILDER) --libs-only-L | cut -c 3-)
	ifneq ($(shell ls $(HIREDISCLUSTERLIBSPATH) | grep libhiredis_cluster_ssl.so),)
		HIREDISCLUSTERDEFS += -DWITH_SSL
		HIREDISCLUSTERLIBS += -lhiredis_cluster_ssl
	endif
	DEFS+=-DWITH_HIREDIS_CLUSTER
	DEFS+=$(HIREDISCLUSTERDEFS)
	LIBS+=$(HIREDISCLUSTERLIBS)
endif

SERLIBPATH=../../lib
SER_LIBS=$(SERLIBPATH)/srdb2/srdb2 $(SERLIBPATH)/srdb1/srdb1

include ../../Makefile.modules

install-redis-scripts: $(bin_prefix)/$(bin_dir)
	REDISON=yes $(MAKE) -C ../../../utils/kamctl/ install-modules

install-scripts: install-redis-scripts

=== debian/changelog ===
kamailio (5.8.5-1) unstable; urgency=medium

  * New upstream version 5.8.5
  * upstream fixes from 5.8 branch
  * pkg-config => pkgconf
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Update watch file format version to 4.
  * update lintian-overrides
  * copyright: remove file patterns no longer there
  * copyright: update debian/* year

 -- Victor Seva <vseva@debian.org>  Tue, 28 Jan 2025 14:06:51 +0100

=== debian/control ===
Source: kamailio
Section: net
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 bison,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 docbook-xml,
 erlang-dev,
 flex,
 libcurl4-openssl-dev,
 libdb-dev,
 libev-dev,
 libevent-dev,
 libexpat1-dev,
 libgeoip-dev,
 libhiredis-dev,
 libjansson-dev,
 libjson-c-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 libmaxminddb-dev,
 libmemcached-dev,
 libmicrohttpd-dev,
 libmnl-dev,
 libmongoc-dev,
 libmosquitto-dev,
 libnats-dev,
 libncurses-dev,
 libpcre2-dev,
 libperl-dev,
 libphonenumber-dev,
 libpq-dev,
 librabbitmq-dev,
 libradcli-dev,
 libreadline-dev,
 libsasl2-dev,
 libsctp-dev [linux-any],
 libsecsipid-dev [amd64 arm64 armel armhf hurd-i386 i386 powerpc ppc64 ppc64el riscv64 s390x],
 libsnmp-dev,
 libsqlite3-dev,
 libssl-dev,
 libsystemd-dev,
 libunistring-dev,
 libwebsockets-dev,
 libwolfssl-dev,
 libxml2-dev,
 openssl,
 pkgconf,
 python3,
 python3-dev,
 ruby-dev,
 unixodbc-dev,
 uuid-dev,
 xsltproc,
 zlib1g-dev,
Standards-Version: 4.6.0.1
Homepage: https://www.kamailio.org/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/kamailio.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/kamailio/
Rules-Requires-Root: no

Package: kamailio
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 kamailio-carrierroute-modules,
Suggests:
 kamailio-berkeley-modules,
 kamailio-cpl-modules,
 kamailio-ldap-modules,
 kamailio-lua-modules,
 kamailio-mysql-modules,
 kamailio-perl-modules,
 kamailio-postgres-modules,
 kamailio-presence-modules,
 kamailio-python3-modules,
 kamailio-radius-modules,
 kamailio-redis-modules,
 kamailio-snmpstats-modules,
 kamailio-tls-modules,
 kamailio-unixodbc-modules,
 kamailio-xml-modules,
 kamailio-xmpp-modules,
 stun-server | turn-server,
Provides:
 sip-router,
Description: very fast, dynamic and configurable SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, kamailio can handle thousands requests
 per second even on low-budget hardware. It can be configured to act
 as a SIP proxy, application server, session border controller,
 or call load balancer to handle a set of media servers.
 .
 A C Shell like scripting language provides full control over the server's
 behaviour. It's easy to integrate Kamailio with 3rd party API's and
 applications using HTTP, AMQP, database drivers, LDAP, Radius and many other
 solutions. In addition there is support for scripting using Lua, Python, Perl,
 Java.
 .
 Kamailio's modular architecture allows only required functionality to be
 loaded. There are over 100 modules available: WebSockets for WebRTC,
 authentication, multiple databases - both traditional SQL databases as well as
 no-SQL, message bus systems like Rabbit MQ, instant messaging, a presence
 agent, integration with REST-ful APIs using HTTP and JSON or XML, radius
 authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
 transaction and dialog module, OSP module, statistics support,
 registrar and user location services, SNMP, SIMPLE Presence and much more.
 .
 This package contains the main Kamailio binary along with the principal
 modules and support binaries.

Package: kamailio-geoip-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: geoip module for the Kamailio SIP Server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the geoip module, an extension enabling
 usage of the GeoIP API within the Kamailio configuration file.

Package: kamailio-geoip2-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: geoip2 module for the Kamailio SIP Server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the geoip2 module, an extension enabling
 real-time queries against the Max Mind GeoIP2 database within the Kamailio
 configuration file.

Package: kamailio-sqlite-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 sqlite3,
Description: SQLite database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SQLite database driver for Kamailio.

Package: kamailio-json-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Json parser and Json-RPC modules for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a JSON parser for use in the Kamailio
 configuration file and the JSON-RPC client over netstrings.

Package: kamailio-memcached-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 kamailio-memcached-module,
Description: interface to the memcached server, for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the memcached module, an interface to the memcached
 server, a high-performance, distributed memory object caching system.

Package: kamailio-lua-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_lua module for Kamailio Lua support
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_lua module, an extension allowing to
 execute embedded Lua applications within the configuration file as
 well as writing the entire configuration file in Lua.

Package: kamailio-python3-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_python3 module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_python3 module, an extension allowing to
 execute embedded Python applications within the Kamailio SIP routing script.

Package: kamailio-ruby-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_ruby module for Kamailio Ruby support
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_ruby module, an extension allowing to
 execute embedded Ruby applications within the Kamailio SIP routing script.

Package: kamailio-redis-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Redis database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the Redis NOSQL database driver for Kamailio.

Package: kamailio-mysql-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 default-mysql-client | virtual-mysql-client,
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: MySQL database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the MySQL database driver for Kamailio.

Package: kamailio-postgres-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 postgresql-client,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the PostgreSQL database driver for Kamailio.

Package: kamailio-cpl-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: CPL module (CPL interpreter engine) for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a CPL (Call Processing Language) interpreter for
 Kamailio, turning Kamailio into a CPL server (storage and interpreter).

Package: kamailio-radius-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: RADIUS modules for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a set of RADIUS modules for Kamailio, for
 authentication, peering, group membership and messages URIs checking against a
 RADIUS server.

Package: kamailio-unixodbc-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: unixODBC database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the unixODBC database driver for Kamailio.

Package: kamailio-presence-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: SIP presence modules for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides several Kamailio modules for implementing a presence
 server and presence user agent for rich presence, registrar-based presence,
 external triggered presence with SIMPLE and XCAP support, as well as a
 set of other SIP event packages..

Package: kamailio-perl-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Perl extensions and database driver for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls

=== debian/watch ===
version=4
opts=dversionmangle=s/\~svn([\d]+)//; https://www.kamailio.org/pub/kamailio/([\d.]+)/src kamailio-([\d.]+)_src\.tar\.gz

## kamailio 5.8.6+bpo9

=== debian/changelog ===
kamailio (5.8.6+bpo9) stretch; urgency=medium

  * Automated package build for tag 5.8.6 and distribution stretch.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Fri, 21 Mar 2025 08:15:17 +0000

kamailio (5.8.6) unstable; urgency=medium

  * version set 5.8.6

 -- Victor Seva <vseva@debian.org>  Thu, 20 Mar 2025 08:19:52 +0100

kamailio (5.8.5) unstable; urgency=medium

  * version set 5.8.5

 -- Victor Seva <vseva@debian.org>  Thu, 23 Jan 2025 08:31:22 +0100

kamailio (5.8.4) unstable; urgency=medium

  * version set 5.8.4

 -- Victor Seva <vseva@debian.org>  Tue, 12 Nov 2024 10:53:35 +0100

kamailio (5.8.3) unstable; urgency=medium

  * version set 5.8.3

 -- Victor Seva <vseva@debian.org>  Wed, 04 Sep 2024 09:29:45 +0200

kamailio (5.8.2) unstable; urgency=medium

  * version set 5.8.2

 -- Victor Seva <vseva@debian.org>  Wed, 12 Jun 2024 09:00:17 +0200

kamailio (5.8.1) unstable; urgency=medium

  * version set 5.8.1

 -- Victor Seva <vseva@debian.org>  Wed, 03 Apr 2024 08:21:53 +0200

kamailio (5.8.0) unstable; urgency=medium

  * version set 5.8.0

 -- Victor Seva <vseva@debian.org>  Thu, 07 Mar 2024 11:40:20 +0100

kamailio (5.8.0~rc0) unstable; urgency=medium

  * version set 5.8.0~rc0

 -- Victor Seva <vseva@debian.org>  Fri, 23 Feb 2024 20:04:35 +0100

kamailio (5.8.0~pre0) unstable; urgency=medium

  * version set 5.8.0~pre0

 -- Victor Seva <vseva@debian.org>  Fri, 02 Feb 2024 15:20:05 +0100

kamailio (5.8.0~dev2) unstable; urgency=medium

  * version set 5.8.0~dev2

 -- Victor Seva <vseva@debian.org>  Tue, 05 Dec 2023 12:04:06 +0100

kamailio (5.8.0~dev1) unstable; urgency=medium

  * version set 5.8.0~dev1

 -- Victor Seva <vseva@debian.org>  Wed, 28 Jun 2023 15:03:56 +0200

kamailio (5.8.0~dev0) unstable; urgency=medium

  * version set 5.8.0~dev0

 -- Victor Seva <vseva@debian.org>  Thu, 04 May 2023 21:45:08 +0200

## kamailio 5.8.6+bpo10

=== test/mod_httpapitest/Makefile ===
#
# httpapitest module makefile
#
#
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=httpapitest.so

DEFS+=-DKAMAILIO_MOD_INTERFACE

SERLIBPATH=../../lib
include ../../Makefile.modules

=== debian/changelog ===
kamailio (5.8.6+bpo10) buster; urgency=medium

  * Automated package build for tag 5.8.6 and distribution buster.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Fri, 21 Mar 2025 08:15:43 +0000

## kamailio 5.8.7+bpo11

=== src/Makefile ===
# Kamailio makefile
#
# WARNING: requires gmake (GNU Make)
#  Arch supported: Linux, FreeBSD, SunOS (tested on Solaris 8), OpenBSD (3.2),
#  NetBSD (1.6), OS/X
#

# check make version
# everything works with 3.80, except evals inside ifeq/endif
# (see https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=1516).
# recommended 3.81
req_ver=3.81
# the check below works for version number of the type x.yy or x.yy.z*
# (from the GNU Make Cookbook)
ifeq (,$(filter $(req_ver),$(firstword $(sort $(MAKE_VERSION) $(req_ver)))))
$(error make version $(MAKE_VERSION) not supported, use at least $(req_ver))
endif


auto_gen=core/lex.yy.c core/cfg.tab.c #lexx, yacc etc
auto_gen_others=core/cfg.tab.h # auto generated, non-c
auto_gen_keep=core/autover.h # auto generated, should be included in archives

COREPATH=.
#include  source related defs
include Makefile.sources
#include special targets lists
include Makefile.targets

# whether or not the entire build process should fail if building a module or
#  a utility fails
err_fail?=1

# whether or not to install $(MAIN_NAME).cfg or just $(MAIN_NAME).cfg.default
# ($(MAIN_NAME).cfg will never be overwritten by make install, this is useful
#  when creating packages)
skip_cfg_install?=

#extra modules to exclude
skip_modules?=

# see Makefile.dirs for the directories used for the modules
include Makefile.dirs

# Set document format
# Alternatives are txt, html, xhtml, and pdf (see Makefile.doc)
doc_format?=html

# don't force modules.lst generation if the makefile goals do not
# require it (but if present use it)
ifeq (,$(strip $(filter-out $(clean_targets) $(aux_targets),$(MAKECMDGOALS))))
ifneq (,$(strip $(wildcard modules.lst)))
-include modules.lst
endif
else
include modules.lst
endif # ifneq (,$(strip $(filter-out ...,$(MAKECMDGOALS))))

#if called with group_include, ignore the modules from modules.lst
ifneq ($(group_include),)
	include_modules=
	exclude_modules=
	modules_configured:=0
endif

# get the groups of modules to compile
include Makefile.groups

# - automatically build the list of excluded modules
# if not set on the cmd. line, env or in the modules.lst (cfg_group_include)
# exclude the below modules.
ifneq ($(group_include)$(cfg_group_include),)
	# For group_include, default all modules are excluded except those in
	# include_modules
	exclude_modules?=
else
	# Old defaults for backwards compatibility
	# excluded because they depend on external libraries
ifeq ($(origin exclude_modules), undefined)
	exclude_modules:= $(sort \
				$(filter-out $(module_group_default), $(mod_list_all)))
endif
endif

# always add skip_modules list - it is done now in modules.lst (dcm)
# override exclude_modules+= $(skip_modules)

# Test for the groups and add to include_modules
ifneq (,$(group_include))
$(eval override include_modules+= $(foreach grp, $(group_include), \
										$(module_group_$(grp)) ))
endif

ALLDEP=config.mak Makefile Makefile.dirs Makefile.sources Makefile.rules

#include general defs (like CC, CFLAGS  a.s.o)
# hack to force makefile.defs re-inclusion (needed when make calls itself with
# other options -- e.g. make bin)
#makefile_defs=0
#C_DEFS:=


# try saved cfg, unless we are in the process of building it or if we're doing
# a clean
ifeq (,$(strip \
	$(filter config.mak config cfg cfg-defs $(clean_targets),$(MAKECMDGOALS))))
include config.mak
ifeq ($(makefile_defs),1)
ifeq ($(quiet),verbose)
$(info config.mak loaded)
endif # verbose
export makefile_defs
# config_make valid & used
config_mak=1
ifeq ($(MAIN_NAME),)
$(error "bad config.mak, try re-running make cfg")
endif
endif
else # config.mak doesn't need to be used
ifneq (,$(filter cfg config cfg-defs,$(word 1,$(MAKECMDGOALS))))
# needed here to avoid starting a config submake 
# (e.g. rm -f config.mak; make config.mak), which would either require 
# double Makefile.defs defines execution (suboptimal), would loose
# $(value ...) expansion or would cause some warning (if Makefile.defs exec. 
# is skipped in the "main" makefile invocation).
$(shell rm -rf config.mak)
config_mak=0
makefile_defs=0
exported_vars=0
else
# config.mak not strictly needed, but try to load it if exists for $(Q)
config_mak=skip
-include config.mak
export makefile_defs
endif
endif


main_makefile=1
include Makefile.defs

static_modules_path=$(addprefix modules/, $(static_modules))
extra_sources=$(wildcard $(addsuffix /*.c, $(static_modules_path)))
extra_objs=$(extra_sources:.c=.o)

static_defs:= $(foreach  mod, $(static_modules), \
		-DSTATIC_$(shell echo $(mod) | tr [:lower:] [:upper:]) )

override extra_defs+=$(static_defs) $(EXTRA_DEFS)
export extra_defs

# Historically, the resultant set of modules is: modules/* - exclude_modules +
# include_modules
# When group_include is used, we want: include_modules (based on group_include)
# - exclude_modules

ifneq ($(modules_configured),1) 
#modules_all=$(filter-out modules/CVS,$(wildcard modules/*))

# create modules*_all vars
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_all=$$(filter-out $(mods)/CVS,$$(wildcard $(mods)/*))))
#debugging
#$(foreach mods,$(modules_dirs),$(info "$(mods)_all=$($(mods)_all)"))

ifneq ($(group_include),)
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)=$$(filter-out $$(addprefix $(mods)/, \
			$$(exclude_modules) $$(static_modules)), \
			$$(addprefix $(mods)/, $$(include_modules) )) ))
else	
	# Standard, old resultant set
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_noinc=$$(filter-out $$(addprefix $(mods)/, \
			$$(exclude_modules) $$(static_modules)), $$($(mods)_all)) \
))
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)=$$(filter-out $$(modules_noinc), \
			$$(addprefix $(mods)/, $$(include_modules) )) $$($(mods)_noinc) \
))
endif # ifneq($(group_include),)
endif # ifneq($(modules_configured),1)

$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_names=$$(shell echo $$($(mods))| \
				sed -e "s/$(mods)"'\/\([^/ ]*\)\/*/\1.so/g' ) \
))
$(foreach mods,$(modules_dirs),$(eval \
	$(mods)_basenames:=$$(shell echo $$($(mods))| \
				sed -e "s/$(mods)"'\/\([^/ ]*\)\/*/\1/g' ) \
))

# all modules from all the $(modules_dirs)
all_modules_lst=$(foreach mods,$(modules_dirs), $($(mods)_all))

# compile modules list (all the compiled mods from  $(modules_dirs))
cmodules=$(foreach mods,$(modules_dirs), $($(mods)))

#modules_names=$(patsubst modules/%, %.so, $(modules))
#modules_full_path=$(join  $(modules), $(addprefix /, $(modules_names)))



# list of utils directories that should be compiled by make utils
C_COMPILE_UTILS= # kamcmd is now installed by ctl
# list of binaries that should be installed alongside
# (they should be created after make utils, see C_COMPILE_UTILS)
C_INSTALL_BIN=	# kamcmd is now installed by ctl

# which utils know to install themselves and should be installed
# along the core (list of utils directories)
ifeq ($(FLAVOUR),kamailio)
C_INSTALL_UTILS= ../utils/kamctl
else
C_INSTALL_UTILS=
endif
# list of scripts that should be installed along the core 
# (here a script is something that doesn't have a Makefile)
C_INSTALL_SCRIPTS=
# list of extra configs that should be installed along the core
# Note: all the paths of the form /usr/*lib/$(CFG_NAME)/<module_dir>
# will be updated to the directory where the modules will be installed.
C_INSTALL_CFGS=
# list of files that should be installed in the arch-independent 
# directory (by default /usr/local/share/$(MAIN_NAME)))
C_INSTALL_SHARE=




NAME=$(MAIN_NAME)

tar_name=$(NAME)-$(RELEASE)_src

tar_extra_args+=$(addprefix --exclude=$(notdir $(CURDIR))/, \
					$(auto_gen) $(auto_gen_others))
ifeq ($(CORE_TLS), 1)
	tar_extra_args+=
else
	tar_extra_args+=--exclude=$(notdir $(CURDIR))/tls/* 
endif

ifneq ($(nodeb),)
	tar_extra_args+=--exclude=$(notdir $(CURDIR))/debian 
	tar_name:=$(tar_name)_nodeb
endif

# sanity checks
ifneq ($(TLS),)
        $(warning "make TLS option is obsoleted, try TLS_HOOKS or CORE_TLS")
endif

# include the common rules
include Makefile.rules

#extra targets

$(NAME): $(extra_objs) # static_modules

core/lex.yy.c: core/cfg.lex core/cfg.tab.h $(ALLDEP)
	$(LEX) -o core/lex.yy.c $<

core/cfg.tab.c: core/cfg.tab.h
core/cfg.tab.h: core/cfg.y  $(ALLDEP)
	$(YACC) $(YACC_FLAGS) $<

nullstring=
space=$(nullstring) $(nullstring)

modules_search_path=$(subst $(space),:,$(strip\
						$(foreach m,$(modules_dirs),$($(m)_target))))
		#				$(addprefix $(modules_target),$(modules_dirs))))

# special depends for main.o
main.o: DEFS+=-DMODS_DIR='"$(modules_search_path)"'


#special depends for ver.c
core/ver.d core/ver.o: core/autover.h

include Makefile.shared

ifeq ($(config_mak),1)

include Makefile.cfg

# fix basedir path (relative -> absolute)
ifneq (,$(basedir))
ifeq (,$(filter /%, $(basedir)))
override basedir:=$(CURDIR)/$(basedir)
# remove basedir from command line overrides
MAKEOVERRIDES:=$(filter-out basedir=%,$ $(MAKEOVERRIDES))
endif # (,$(filter /%, $(basedir)))
endif # (,$(basedir))

else ifneq ($(config_mak),skip)

config.mak: Makefile.defs Makefile.groups
	@echo making config...
	@echo "# this file is autogenerated by make cfg" >$@
	@$(call mapf2,cfg_save_var,saved_fixed_vars,$(@))
	@$(call mapf2,cfg_save_var2,saved_chg_vars,$(@))
	@echo "override makefile_defs:=1" >>$@
	@echo "C_DEFS:=\$$(filter-out \$$(DEFS_RM) \$$(extra_defs),\$$(C_DEFS))" \
					"\$$(extra_defs)"  >>$@
	@echo "CFLAGS:=\$$(filter-out \$$(CFLAGS_RM) \$$(CC_EXTRA_OPTS)," \
						"\$$(CFLAGS)) \$$(CC_EXTRA_OPTS)" >>$@

endif # ifeq ($(config_mak),1)

modules.lst: Makefile.groups
	@echo  saving modules list...
	@echo "# this file is autogenerated by make modules-cfg" >$@
	@echo >>$@
	@echo "# the list of sub-directories with modules" >>$@
	@echo "modules_dirs:=$(modules_dirs)" >>$@
	@echo >>$@
	@echo "# the list of module groups to compile" >>$@
	@echo "cfg_group_include=$(group_include)" >>$@
	@echo >>$@
	@echo "# the list of extra modules to compile" >>$@
	@$(call cfg_save_var2,include_modules,$@)
	@echo >>$@
	@echo "# the list of static modules" >>$@
	@$(call cfg_save_var2,static_modules,$@)
	@echo >>$@
	@echo "# the list of modules to skip from compile list" >>$@
	@$(call cfg_save_var2,skip_modules,$@)
	@echo >>$@
	@echo "# the list of modules to exclude from compile list" >>$@
	@$(call cfg_save_var3,exclude_modules,skip_modules,$@)
	@echo >>$@
	@$(foreach mods,$(modules_dirs), \
		$(call cfg_save_var2,$(mods)_all,$@))
	@$(foreach mods,$(modules_dirs), \
		$(call cfg_save_var2,$(mods)_noinc,$@))
	@$(foreach mods,$(modules_dirs), \
		$(call cfg_save_var2,$(mods),$@))
	@echo "modules_configured:=1" >>$@


.PHONY: cfg config cfg-defs
cfg-defs: config.mak

cfg config: cfg-defs modules-cfg

.PHONY: modules-cfg modules-list modules-lst
modules-cfg modules-list modules-lst:
	rm -f modules.lst
	$(MAKE) modules.lst

ifneq ($(wildcard ../.git),)
# if .git/ exists
repo_ver=$(shell  RV=`git rev-parse --verify --short=6 HEAD 2>/dev/null`;\
					[ -n "$$RV" ] && \
					test -n "`git update-index --refresh --unmerged >/dev/null\
							; git diff-index --name-only HEAD 2>/dev/null | \
								grep -v Makefile`" &&\
						RV="$$RV"-dirty; echo "$$RV")
repo_hash=$(subst -dirty,,$(repo_ver))
repo_state=$(subst %-dirty,dirty,$(findstring -dirty,$(repo_ver)))
autover_h_dep=../.git $(filter-out $(auto_gen), $(sources)) core/cfg.y core/cfg.lex Makefile
else
# else if .git/ does not exist
repo_ver=
repo_hash="unknown"
repo_state=
autover_h_dep=
endif


core/autover.h: $(autover_h_dep)
	@echo  "generating core/autover.h ..."
	@echo "/* this file is autogenerated by make core/autover.h" >$@
	@echo " * DO NOT EDIT IT" >>$@
	@echo " */" >>$@
	@echo "" >>$@
	@echo "#define REPO_VER \"$(repo_ver)\"" >>$@
	@echo "#define REPO_HASH \"$(repo_hash)\"" >>$@
	@echo "#define REPO_STATE \"$(repo_state)\"" >>$@

.PHONY: all
all: $(NAME) every-module

.PHONY: print-modules
print-modules:
	@echo The following modules were chosen to be included: \
		$(include_modules) ; \
	echo ---------------------------------------------------------- ; \

=== debian/changelog ===
kamailio (5.8.7+bpo11) bullseye; urgency=medium

  * Automated package build for tag 5.8.7 and distribution bullseye.

 -- Kamailio Package Team <pkg@kamailio.org>  Wed, 14 Jan 2026 16:23:21 +0000

kamailio (5.8.7) unstable; urgency=medium

  * version set 5.8.7

 -- Victor Seva <vseva@debian.org>  Wed, 14 Jan 2026 09:24:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kamailio
 Section: net
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Kamailio Admin Group <kadmin.hq@lists.kamailio.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
 Build-Depends:
+ debhelper (>= 9),
+ dpkg-dev (>= 1.16.1.1),
  bison,
- debhelper-compat (= 13),
  default-libmysqlclient-dev,
  docbook-xml,
  erlang-dev,
  flex,
  libcurl4-openssl-dev,
- libdb-dev,
+ libdb-dev (>= 4.6.19),
  libev-dev,
  libevent-dev,
  libexpat1-dev,
- libgeoip-dev,
- libhiredis-dev,
+ libgeoip-dev (>= 1.4.5),
+ libhiredis-dev (>= 0.10.0),
  libjansson-dev,
  libjson-c-dev,
  libldap2-dev,
@@ -27,18 +28,18 @@
  libmicrohttpd-dev,
  libmnl-dev,
  libmongoc-dev,
+ libmono-2.0-dev [amd64 armel armhf i386 mipsel kfreebsd-amd64 kfreebsd-i386 ppc64 ppc64el s390x],
  libmosquitto-dev,
- libnats-dev,
- libncurses-dev,
+ libncurses5-dev,
  libpcre2-dev,
  libperl-dev,
- libphonenumber-dev,
+ libphonenumber-dev (>= 7),
  libpq-dev,
  librabbitmq-dev,
  libradcli-dev,
  libreadline-dev,
  libsasl2-dev,
- libsctp-dev [linux-any],
+ libsctp-dev [any],
  libsecsipid-dev [amd64 arm64 armel armhf hurd-i386 i386 powerpc ppc64 ppc64el riscv64 s390x],
  libsnmp-dev,
  libsqlite3-dev,
@@ -46,10 +47,11 @@
  libsystemd-dev,
  libunistring-dev,
  libwebsockets-dev,
- libwolfssl-dev,
  libxml2-dev,
  openssl,
- pkgconf,
+ pkg-config,
+ python,
+ python-dev,
  python3,
  python3-dev,
  ruby-dev,
@@ -59,8 +61,8 @@
  zlib1g-dev,
 Standards-Version: 4.6.0.1
 Homepage: https://www.kamailio.org/
-Vcs-Git: https://salsa.debian.org/pkg-voip-team/kamailio.git
-Vcs-Browser: https://salsa.debian.org/pkg-voip-team/kamailio/
+Vcs-Git: https://github.com/kamailio/kamailio.git
+Vcs-Browser: https://github.com/kamailio/kamailio/
 Rules-Requires-Root: no
 
 Package: kamailio
@@ -70,6 +72,7 @@
  ${misc:Pre-Depends},
 Depends:
  adduser,
+ lsb-base,
  python3,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -78,15 +81,15 @@
 Suggests:
  kamailio-berkeley-modules,
  kamailio-cpl-modules,
+ kamailio-dbg,
  kamailio-ldap-modules,
  kamailio-lua-modules,
  kamailio-mysql-modules,
  kamailio-perl-modules,
  kamailio-postgres-modules,
  kamailio-presence-modules,
- kamailio-python3-modules,
+ kamailio-python-modules,
  kamailio-radius-modules,
- kamailio-redis-modules,
  kamailio-snmpstats-modules,
  kamailio-tls-modules,
  kamailio-unixodbc-modules,
@@ -103,22 +106,40 @@
  or call load balancer to handle a set of media servers.
  .
  A C Shell like scripting language provides full control over the server's
- behaviour. It's easy to integrate Kamailio with 3rd party API's and
- applications using HTTP, AMQP, database drivers, LDAP, Radius and many other
- solutions. In addition there is support for scripting using Lua, Python, Perl,
- Java.
- .
- Kamailio's modular architecture allows only required functionality to be
- loaded. There are over 100 modules available: WebSockets for WebRTC,
- authentication, multiple databases - both traditional SQL databases as well as
- no-SQL, message bus systems like Rabbit MQ, instant messaging, a presence
- agent, integration with REST-ful APIs using HTTP and JSON or XML, radius
- authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
+ behaviour. It's easy to integrate Kamailio with 3rd party API's and applications
+ using HTTP, AMQP, database drivers, LDAP, Radius and many other solutions.
+ In addition there is support for scripting using Lua, Python, Perl, Java and
+ a set of other languages using Mono.
+ .
+ Kamailio's modular architecture allows only required functionality to be loaded.
+ There are over 100 modules available: WebSockets for WebRTC, authentication,
+ multiple databases - both traditional SQL databases as well as no-SQL,
+ message bus systems like Rabbit MQ, instant messaging, a presence agent,
+ integration with REST-ful APIs using HTTP and JSON or XML,
+ radius authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
  transaction and dialog module, OSP module, statistics support,
  registrar and user location services, SNMP, SIMPLE Presence and much more.
  .
- This package contains the main Kamailio binary along with the principal
- modules and support binaries.
+ This package contains the main Kamailio binary along with the principal modules
+ and support binaries.
+
+Package: kamailio-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+Description: very fast and configurable SIP server [debug symbols]
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package contains the debugging symbols for the Kamailio binaries and
+ modules. You only need to install it if you need to debug Kamailio.
 
 Package: kamailio-geoip-modules
 Architecture: any
@@ -129,7 +150,7 @@
  kamailio (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: geoip module for the Kamailio SIP Server
+Description: The geoip module for the Kamailio SIP Server
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -138,15 +159,15 @@
  usage of the GeoIP API within the Kamailio configuration file.
 
 Package: kamailio-geoip2-modules
-Architecture: linux-any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: geoip2 module for the Kamailio SIP Server
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The geoip2 module for the Kamailio SIP Server
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -174,7 +195,7 @@
  This package provides the SQLite database driver for Kamailio.
 
 Package: kamailio-json-modules
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
@@ -218,7 +239,7 @@
  kamailio (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: app_lua module for Kamailio Lua support
+Description: The app_lua module for Kamailio Lua support
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -227,6 +248,40 @@
  execute embedded Lua applications within the configuration file as
  well as writing the entire configuration file in Lua.
 
+Package: kamailio-mono-modules
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The app_mono module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the app_mono module, an extension allowing to
+ execute embedded Mono applications within the Kamailio SIP routing script.
+
+Package: kamailio-python-modules
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: The app_python module for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides the app_python module, an extension allowing to
+ execute embedded Python applications within the Kamailio SIP routing script.
+
 Package: kamailio-python3-modules
 Architecture: any
 Multi-Arch: same
@@ -236,7 +291,7 @@
  kamailio (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: app_python3 module for the Kamailio SIP server
+Description: The app_python3 module for the Kamailio SIP server
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -253,7 +308,7 @@
  kamailio (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: app_ruby module for Kamailio Ruby support
+Description: The app_ruby module for Kamailio Ruby support
  Kamailio is a very fast and flexible SIP (RFC3261)
  server. Written entirely in C, Kamailio can handle thousands calls
  per second even on low-budget hardware.
@@ -331,65 +386,13 @@
 Package: kamailio-radius-modules
 Architecture: any
 Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: RADIUS modules for the Kamailio SIP server
- Kamailio is a very fast and flexible SIP (RFC3261)
- server. Written entirely in C, Kamailio can handle thousands calls
- per second even on low-budget hardware.
- .
- This package provides a set of RADIUS modules for Kamailio, for
- authentication, peering, group membership and messages URIs checking against a
- RADIUS server.
-
-Package: kamailio-unixodbc-modules
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: unixODBC database connectivity module for the Kamailio SIP server
- Kamailio is a very fast and flexible SIP (RFC3261)
- server. Written entirely in C, Kamailio can handle thousands calls
- per second even on low-budget hardware.
- .
- This package provides the unixODBC database driver for Kamailio.
-
-Package: kamailio-presence-modules
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: SIP presence modules for Kamailio
- Kamailio is a very fast and flexible SIP (RFC3261)
- server. Written entirely in C, Kamailio can handle thousands calls
- per second even on low-budget hardware.
- .
- This package provides several Kamailio modules for implementing a presence
- server and presence user agent for rich presence, registrar-based presence,
- external triggered presence with SIMPLE and XCAP support, as well as a
- set of other SIP event packages..
-
-Package: kamailio-perl-modules
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: Perl extensions and database driver for the Kamailio SIP server
- Kamailio is a very fast and flexible SIP (RFC3261)
- server. Written entirely in C, Kamailio can handle thousands calls
+Breaks:
+ kamailio (<<5.1),
+Replaces:
+ kamailio (<<5.1),
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},

## kamailio 5.8.7+bpo12

=== debian/changelog ===
kamailio (5.8.7+bpo12) bookworm; urgency=medium

  * Automated package build for tag 5.8.7 and distribution bookworm.

 -- Kamailio Package Team <pkg@kamailio.org>  Wed, 14 Jan 2026 16:23:22 +0000

## kamailio 5.8.7+ubuntu16.04

=== test/mod_httpapitest/test/Makefile ===
config:=curlapi.cfg
KAMBIN:=/usr/local/sbin

# Find the IP address
include ../../mkinclude/ipaddr.mak


# Log the version
include ../../mkinclude/kamversion.mak

all:
	@echo Our IP address $(ipaddr) on interface $(interface)  - Redo to fly Kamailio?
	@/usr/local/sbin/kamailio -f $(config)  -l udp:$(ipaddr):5060 -D 1 -E -M 2000

debug:
	@/usr/local/sbin/kamailio -f $(config)  -l udp:$(ipaddr):5060 -D 1 -E > /tmp/kamcurl.$$$$ 2>&1
	grep curl /tmp/kamcurl.$$$$

=== debian/changelog ===
kamailio (5.8.7+ubuntu16.04) xenial; urgency=medium

  * Automated package build for tag 5.8.7 and distribution xenial.

 -- Kamailio Package Team <pkg@kamailio.org>  Wed, 14 Jan 2026 16:23:22 +0000

## kamailio 5.8.7+ubuntu18.04

=== debian/changelog ===
kamailio (5.8.7+ubuntu18.04) bionic; urgency=medium

  * Automated package build for tag 5.8.7 and distribution bionic.

 -- Kamailio Package Team <pkg@kamailio.org>  Wed, 14 Jan 2026 16:24:39 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper (>= 9),
+ dh-systemd (>= 1.5),
  dpkg-dev (>= 1.16.1.1),
  bison,
  default-libmysqlclient-dev,
@@ -25,7 +26,6 @@
  liblua5.1-0-dev,
  libmaxminddb-dev,
  libmemcached-dev,
- libmicrohttpd-dev,
  libmnl-dev,
  libmongoc-dev,
  libmono-2.0-dev [amd64 armel armhf i386 mipsel kfreebsd-amd64 kfreebsd-i386 ppc64 ppc64el s390x],
@@ -40,13 +40,11 @@
  libreadline-dev,
  libsasl2-dev,
  libsctp-dev [any],
- libsecsipid-dev [amd64 arm64 armel armhf hurd-i386 i386 powerpc ppc64 ppc64el riscv64 s390x],
  libsnmp-dev,
  libsqlite3-dev,
  libssl-dev,
  libsystemd-dev,
  libunistring-dev,
- libwebsockets-dev,
  libxml2-dev,
  openssl,
  pkg-config,
@@ -396,3 +394,5 @@
  kamailio (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
+Description: RADIUS modules for the Kamailio SIP server
+ Kamailio is a very fast and flexible SIP (RFC3261)

## kamailio 5.8.7+ubuntu20.04

=== debian/changelog ===
kamailio (5.8.7+ubuntu20.04) focal; urgency=medium

  * Automated package build for tag 5.8.7 and distribution focal.

 -- Kamailio Package Team <pkg@kamailio.org>  Wed, 14 Jan 2026 16:24:49 +0000

=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
  libssl-dev,
  libsystemd-dev,
  libunistring-dev,
+ libwebsockets-dev,
  libxml2-dev,
  openssl,
  pkg-config,

## kamailio 5.8.7+ubuntu22.04

=== debian/changelog ===
kamailio (5.8.7+ubuntu22.04) jammy; urgency=medium

  * Automated package build for tag 5.8.7 and distribution jammy.

 -- Kamailio Package Team <pkg@kamailio.org>  Wed, 14 Jan 2026 16:23:26 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Victor Seva <vseva@debian.org>,
 Build-Depends:
  debhelper (>= 9),
- dh-systemd (>= 1.5),
  dpkg-dev (>= 1.16.1.1),
  bison,
  default-libmysqlclient-dev,
@@ -26,10 +25,12 @@
  liblua5.1-0-dev,
  libmaxminddb-dev,
  libmemcached-dev,
+ libmicrohttpd-dev,
  libmnl-dev,
  libmongoc-dev,
  libmono-2.0-dev [amd64 armel armhf i386 mipsel kfreebsd-amd64 kfreebsd-i386 ppc64 ppc64el s390x],
  libmosquitto-dev,
+ libnats-dev,
  libncurses5-dev,
  libpcre2-dev,
  libperl-dev,
@@ -40,17 +41,17 @@
  libreadline-dev,
  libsasl2-dev,
  libsctp-dev [any],
+ libsecsipid-dev [amd64 arm64 armel armhf hurd-i386 i386 powerpc ppc64 ppc64el riscv64 s390x],
  libsnmp-dev,
  libsqlite3-dev,
  libssl-dev,
  libsystemd-dev,
  libunistring-dev,
  libwebsockets-dev,
+ libwolfssl-dev,
  libxml2-dev,
  openssl,
  pkg-config,
- python,
- python-dev,
  python3,
  python3-dev,
  ruby-dev,
@@ -264,23 +265,6 @@
  This package provides the app_mono module, an extension allowing to
  execute embedded Mono applications within the Kamailio SIP routing script.
 
-Package: kamailio-python-modules
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- kamailio (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: The app_python module for the Kamailio SIP server
- Kamailio is a very fast and flexible SIP (RFC3261)
- server. Written entirely in C, Kamailio can handle thousands calls
- per second even on low-budget hardware.
- .
- This package provides the app_python module, an extension allowing to
- execute embedded Python applications within the Kamailio SIP routing script.
-
 Package: kamailio-python3-modules
 Architecture: any
 Multi-Arch: same
@@ -397,3 +381,19 @@
  ${shlibs:Depends},
 Description: RADIUS modules for the Kamailio SIP server
  Kamailio is a very fast and flexible SIP (RFC3261)
+ server. Written entirely in C, Kamailio can handle thousands calls
+ per second even on low-budget hardware.
+ .
+ This package provides a set of RADIUS modules for Kamailio, for
+ authentication, peering, group membership and messages URIs checking against a
+ RADIUS server.
+
+Package: kamailio-unixodbc-modules
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ kamailio (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},

## kamailio 5.8.7+ubuntu24.04

=== debian/changelog ===
kamailio (5.8.7+ubuntu24.04) noble; urgency=medium

  * Automated package build for tag 5.8.7 and distribution noble.

 -- Kamailio Package Team <pkg@kamailio.org>  Wed, 14 Jan 2026 16:23:22 +0000

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  libmono-2.0-dev [amd64 armel armhf i386 mipsel kfreebsd-amd64 kfreebsd-i386 ppc64 ppc64el s390x],
  libmosquitto-dev,
  libnats-dev,
- libncurses5-dev,
+ libncurses-dev,
  libpcre2-dev,
  libperl-dev,
  libphonenumber-dev (>= 7),
@@ -72,7 +72,6 @@
  ${misc:Pre-Depends},
 Depends:
  adduser,
- lsb-base,
  python3,
  ${misc:Depends},
  ${shlibs:Depends},
